﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Data;

namespace LineSeriesExample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class SimpleViewModel
    {      
        public RadObservableCollection<SalesInfo> Data { get; set; }

        public SimpleViewModel()
        {
            var data = new RadObservableCollection<SalesInfo>();

            Random rnd = new Random();
            for (int i = 0; i < 4; i += 1)
            {
                data.Add(new SalesInfo() 
                { 
                    Region = string.Format("Category {0}", i+1),  
                    POToSOWeeks = rnd.Next(i, 100),
                    SOToWOWeeks = rnd.Next(i+1, 100),
                    WOToKitWeeks = rnd.Next(i+2, 100),
                    KitToShipWeeks = rnd.Next(i+3, 100),
                    KSToKIWeeks = rnd.Next(i+4, 100),
                    KSToCIWeeks = rnd.Next(i+5, 100),
                    QuarterYear = string.Format("Q {0}", i+1),
                    MedianWeeks = rnd.Next(i+6, 100), 
                });
            }

            this.Data = data;
        }
    }

    public class SalesInfo
    {
        public string Region { get; set; }
        public double POToSOWeeks { get; set; }
        public double SOToWOWeeks { get; set; }
        public double WOToKitWeeks { get; set; }
        public double KitToShipWeeks { get; set; }
        public double KSToKIWeeks { get; set; }
        public double KSToCIWeeks { get; set; }
        public string QuarterYear { get; set; }
        public double MedianWeeks { get; set; }
    }
}
